View Issue Details

IDProjectCategoryView StatusLast Update
0003175PartDesignBugpublic2017-09-11 08:17
ReporterindustromaticAssigned ToDeepSOIC 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0003175: inability to link datum line to vertex in correct normal orientation
DescriptionFrom https://forum.freecadweb.org/viewtopic.php?f=3&t=24161&p=189102#p189102

If I could make a Z axis datum line coincident with a sketch point easily, that would be a good way to locate a cylinder shape...

DeepSOIC ยป Thu Aug 31, 2017 4:27 pm
There are supposed to be two ways to achieve that, but I couldn't make any of them work.
1. Select XY plane + vertex, use Normal mode
->Normal mode is not listed, and doesn't work even if I enforce it.

2. Select the vertex and Z axis, use Tangent mode
-> if vertex is selected first, it was supposed that the line passes through the vertex, but it remains coincident with Z axis.
So... sorry, I don't see a straightforward way of attaching the datum line. I need to dive into code.

Please create a tracker ticket, and post it here, I will assign it to myself.
Steps To ReproduceIn a doc like https://forum.freecadweb.org/download/file.php?id=42796 set tip to the additive pipe, hide the additive pipe and the two datum planes, then select a point of the sketch/vertex that now is all that is left to select. Press datum line button, and get failed attach.

Try with tip set to the body container. Now see Map Mode choices, choose normal. Unhide bottom datum plane and see that it is selected also. Press datum line button and says attached with mode object's X. No line visible yet. Hide bottom datum plane and see a line in the X axis coincident with the bottom datum plane.

this result is not a line normal to a plane, it is parallel instead --> mistake, bug.
Additional InformationOS: Debian GNU/Linux testing (buster)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11935 (Git)
Build type: Release
Branch: v0.17.11935_a5bc70cca0d2eaa567
Hash: a5bc70cca0d2eaa56709603521650ccb3d8d926c
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)
Tagsattachment, datum line, Part Design NEXT

Issue History

Date Modified Username Field Change
2017-08-31 23:22 industromatic New Issue
2017-08-31 23:22 industromatic Tag Attached: constraints
2017-08-31 23:22 industromatic Tag Attached: containers
2017-08-31 23:22 industromatic Tag Attached: Part Design NEXT
2017-08-31 23:22 industromatic Tag Attached: datum line
2017-08-31 23:22 industromatic Tag Attached: datum point
2017-09-01 10:26 DeepSOIC Assigned To => DeepSOIC
2017-09-01 10:26 DeepSOIC Status new => assigned
2017-09-01 10:42 DeepSOIC Tag Detached: datum point
2017-09-01 10:42 DeepSOIC Tag Detached: constraints
2017-09-01 10:43 DeepSOIC Tag Detached: containers
2017-09-01 10:44 DeepSOIC Tag Attached: attachment
2017-09-11 08:15 wmayer Status assigned => closed
2017-09-11 08:15 wmayer Resolution open => fixed
2017-09-11 08:15 wmayer Fixed in Version => 0.17
2017-09-11 08:15 wmayer Note Added: 0010105
2017-09-11 08:17 wmayer Note Edited: 0010105 View Revisions